> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List conferences

> Lists conferences. Conferences are created on demand, and will expire after all participants have left the conference or after 4 hours regardless of the number of active participants. Conferences are listed in descending order by `expires_at`.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/call-control/conferences.yml get /conferences
openapi: 3.1.0
info:
  title: Telnyx Conferences API
  version: 2.0.0
  description: API for Conferences.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /conferences:
    get:
      tags:
        - Conference Commands
      summary: List conferences
      description: >-
        Lists conferences. Conferences are created on demand, and will expire
        after all participants have left the conference or after 4 hours
        regardless of the number of active participants. Conferences are listed
        in descending order by `expires_at`.
      operationId: ListConferences
      parameters:
        - $ref: '#/components/parameters/ConferenceRegion'
        - $ref: '#/components/parameters/call-control_FilterConsolidated'
        - $ref: '#/components/parameters/call-control_PageConsolidated'
      responses:
        '200':
          $ref: '#/components/responses/ListConferencesResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '422':
          $ref: '#/components/responses/UnprocessableEntityResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            // Automatically fetches more pages as needed.
            for await (const conference of client.conferences.list()) {
              console.log(conference.id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.conferences.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.Conferences.List(context.TODO(), telnyx.ConferenceListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.conferences.ConferenceListPage;
            import com.telnyx.sdk.models.conferences.ConferenceListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ConferenceListPage page = client.conferences().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.conferences.list

            puts(page)
        - lang: CLI
          source: |-
            telnyx conferences list \
              --api-key 'My API Key'
components:
  parameters:
    ConferenceRegion:
      name: region
      in: query
      description: Region where the conference data is located
      required: false
      schema:
        type: string
        enum:
          - Australia
          - Europe
          - Middle East
          - US
    call-control_FilterConsolidated:
      name: filter
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated filter parameter (deepObject style). Originally:
        filter[application_name][contains],
        filter[outbound.outbound_voice_profile_id], filter[leg_id],
        filter[application_session_id], filter[connection_id], filter[product],
        filter[failed], filter[from], filter[to], filter[name], filter[type],
        filter[occurred_at][eq/gt/gte/lt/lte], filter[status]
      schema:
        type: object
        properties:
          application_name:
            type: object
            description: Application name filters
            properties:
              contains:
                type: string
                default: 'null'
                description: >-
                  If present, applications with <code>application_name</code>
                  containing the given value will be returned. Matching is not
                  case-sensitive. Requires at least three characters.
            additionalProperties: false
          outbound.outbound_voice_profile_id:
            type: string
            example: '1293384261075731499'
            description: Identifies the associated outbound voice profile.
            x-format: int64
          leg_id:
            type: string
            format: uuid
            description: The unique identifier of an individual call leg.
          application_session_id:
            type: string
            format: uuid
            description: >-
              The unique identifier of the call session. A session may include
              multiple call leg events.
          connection_id:
            type: string
            description: The unique identifier of the conection.
          product:
            type: string
            enum:
              - call_control
              - fax
              - texml
            example: texml
            description: Filter by product.
          failed:
            type: boolean
            example: false
            description: Delivery failed or not.
          from:
            type: string
            example: '+12025550142'
            description: Filter by From number.
          to:
            type: string
            example: '+12025550142'
            description: Filter by To number.
          name:
            type: string
            description: >-
              If present, conferences will be filtered to those with a matching
              `name` attribute. Matching is case-sensitive
          type:
            type: string
            enum:
              - command
              - webhook
            example: webhook
            description: Event type
          occurred_at:
            type: object
            description: Event occurred_at filters
            properties:
              eq:
                type: string
                example: '2019-03-29T11:10:00Z'
                description: 'Event occurred_at: equal'
              gt:
                type: string
                example: '2019-03-29T11:10:00Z'
                description: 'Event occurred_at: greater than'
              gte:
                type: string
                example: '2019-03-29T11:10:00Z'
                description: 'Event occurred_at: greater than or equal'
              lt:
                type: string
                example: '2019-03-29T11:10:00Z'
                description: 'Event occurred_at: lower than'
              lte:
                type: string
                example: '2019-03-29T11:10:00Z'
                description: 'Event occurred_at: lower than or equal'
            additionalProperties: false
          status:
            type: string
            enum:
              - init
              - in_progress
              - completed
            description: If present, conferences will be filtered by status.
    call-control_PageConsolidated:
      name: page
      in: query
      style: deepObject
      explode: true
      description: >-
        Consolidated page parameter (deepObject style). Originally: page[after],
        page[before], page[limit], page[size], page[number]
      schema:
        type: object
        properties:
          after:
            type: string
            default: 'null'
            description: Opaque identifier of next page
          before:
            type: string
            default: 'null'
            description: Opaque identifier of previous page
          limit:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: Limit of records per single page
          size:
            type: integer
            minimum: 1
            maximum: 250
            default: 20
            description: The size of the page
          number:
            type: integer
            minimum: 1
            default: 1
            description: The page number to load
  responses:
    ListConferencesResponse:
      description: Successful response with a list of conferences.
      content:
        application/json:
          schema:
            type: object
            title: List Conferences Response
            properties:
              data:
                type: array
                items:
                  $ref: '#/components/schemas/Conference'
              meta:
                $ref: '#/components/schemas/PaginationMeta'
    UnauthorizedResponse:
      description: >-
        Unauthorized. Authentication failed - the required authentication
        headers were either invalid or not included in the request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
          example:
            errors:
              - code: '10009'
                title: Authentication failed
                detail: >-
                  The required authentication headers were either invalid or not
                  included in the request.
                meta:
                  url: https://developers.telnyx.com/docs/overview/errors/10009
    UnprocessableEntityResponse:
      description: >-
        Unprocessable entity. The request was well-formed but could not be
        processed due to semantic errors. This includes validation errors,
        invalid parameter values, call state errors, conference errors, queue
        errors, recording/transcription errors, and business logic violations.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-control_Errors'
          examples:
            missing_required_parameter:
              summary: Missing required parameter
              value:
                errors:
                  - code: '10004'
                    title: Missing required parameter
                    detail: The 'to' parameter is required and cannot be blank.
                    source:
                      pointer: /to
            invalid_call_control_id:
              summary: Invalid call control ID
              value:
                errors:
                  - code: '90015'
                    title: Invalid Call Control ID
                    detail: The call_control_id provided was not valid.
                    source:
                      pointer: /call_control_id
            call_already_ended:
              summary: Call has already ended
              value:
                errors:
                  - code: '90018'
                    title: Call has already ended
                    detail: This call is no longer active and can't receive commands.
            call_not_answered:
              summary: Call not answered yet
              value:
                errors:
                  - code: '90034'
                    title: Call not answered yet
                    detail: >-
                      This call can't receive this command because it has not
                      been answered yet.
            cannot_record_before_audio_started:
              summary: Cannot record before audio started
              value:
                errors:
                  - code: '90020'
                    title: Call recording triggered before audio started
                    detail: >-
                      Call recording cannot be started until audio has commenced
                      on the call.
            transcription_already_active:
              summary: Transcription already active
              value:
                errors:
                  - code: '90054'
                    title: Call transcription is already in progress
                    detail: Call transcription can not be started more than once.
            ai_assistant_already_active:
              summary: AI Assistant already active
              value:
                errors:
                  - code: '90061'
                    title: AI Assistant is already in progress
                    detail: AI Assistant cannot be started more than once.
            conference_already_ended:
              summary: Conference has already ended
              value:
                errors:
                  - code: '90019'
                    title: Conference has already ended
                    detail: >-
                      This conference is no longer active and can't receive
                      commands.
            conference_name_conflict:
              summary: Conference name conflict
              value:
                errors:
                  - code: '90033'
                    title: Unable to execute command
                    detail: Conference with given name already exists and it's active.
            max_participants_reached:
              summary: Maximum participants reached
              value:
                errors:
                  - code: '90032'
                    title: Maximum number of participants reached
                    detail: >-
                      The maximum allowed value of `max_participants` has been
                      reached at 100.
            queue_full:
              summary: Queue is full
              value:
                errors:
                  - code: '90036'
                    title: Queue full
                    detail: The 'support' queue is full and can't accept more calls.
            call_already_in_queue:
              summary: Call already in queue
              value:
                errors:
                  - code: '90038'
                    title: Call already in queue
                    detail: Call can't be added to a queue it's already in.
            invalid_connection_id:
              summary: Invalid connection ID
              value:
                errors:
                  - code: '10015'
                    title: Invalid value for connection_id (Call Control App ID)
                    detail: >-
                      The requested connection_id (Call Control App ID) is
                      either invalid or does not exist. Only Call Control Apps
                      with valid webhook URL are accepted.
                    source:
                      pointer: /connection_id
            invalid_phone_number_format:
              summary: Invalid phone number format
              value:
                errors:
                  - code: '10016'
                    title: Phone number must be in +E164 format
                    detail: The 'to' parameter must be in E164 format.
                    source:
                      pointer: /to
            srtp_not_supported_for_pstn:
              summary: SRTP not supported for PSTN calls
              value:
                errors:
                  - source:
                      pointer: /media_encryption
                    title: Media encryption not supported for PSTN calls
                    detail: SRTP media encryption is not supported for PSTN calls.
                    code: '10011'
            fork_not_found:
              summary: Call is not forked
              value:
                errors:
                  - code: '90031'
                    title: Call is not currently forked
                    detail: >-
                      Can't stop forking, because the call isn't currently
                      forked.
            media_streaming_used:
              summary: Media streaming in use
              value:
                errors:
                  - code: '90045'
                    title: Media Streaming is used
                    detail: This command can't be issued when media streaming is used.
            invalid_enumerated_value:
              summary: Invalid enumerated value
              value:
                errors:
                  - code: '10032'
                    title: Invalid enumerated value
                    detail: 'The value must be one of: dual, single.'
                    source:
                      pointer: /record_channels
            value_outside_range:
              summary: Value outside of range
              value:
                errors:
                  - code: '10033'
                    title: Value outside of range
                    detail: The value is outside of allowed range 1 to 5000
                    source:
                      pointer: /max_participants
  schemas:
    Conference:
      type: object
      title: Conference
      required:
        - record_type
        - id
        - name
        - created_at
        - expires_at
      properties:
        record_type:
          type: string
          enum:
            - conference
          example: conference
        id:
          type: string
          description: Uniquely identifies the conference
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        name:
          type: string
          description: Name of the conference
          example: All hands meeting
        created_at:
          type: string
          description: ISO 8601 formatted date of when the conference was created
          example: '2019-01-23T18:10:02.574Z'
        expires_at:
          type: string
          description: ISO 8601 formatted date of when the conference will expire
          example: '2019-01-23T18:10:02.574Z'
        updated_at:
          type: string
          description: ISO 8601 formatted date of when the conference was last updated
          example: '2019-01-23T18:10:02.574Z'
        region:
          type: string
          description: Region where the conference is hosted
          example: sv1
        status:
          type: string
          enum:
            - init
            - in_progress
            - completed
          description: Status of the conference
          example: completed
        end_reason:
          type: string
          enum:
            - all_left
            - ended_via_api
            - host_left
            - time_exceeded
          description: Reason why the conference ended
          example: all_left
        ended_by:
          type: object
          description: >-
            IDs related to who ended the conference. It is expected for them to
            all be there or all be null
          properties:
            call_control_id:
              type: string
              description: Call Control ID which ended the conference
              example: >-
                v2:T02llQxIyaRkhfRKxgAP8nY511EhFLizdvdUKJiSw8d6A9BborherQczRrZvZakpWxBlpw48KyZQ==
            call_session_id:
              type: string
              description: Call Session ID which ended the conference
              example: 428c31b6-abf3-3bc1-b7f4-5013ef9657c1
        connection_id:
          type: string
          description: Identifies the connection associated with the conference
          example: 3fa85f64-9191-4567-b3fc-2c963f66afa6
      example:
        record_type: conference
        id: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        name: All hands meeting
        created_at: '2019-01-23T18:10:02.574Z'
        expires_at: '2019-01-23T18:10:02.574Z'
        updated_at: '2019-01-23T18:10:02.574Z'
        region: sv1
        status: completed
        end_reason: all_left
        ended_by:
          call_control_id: >-
            v2:T02llQxIyaRkhfRKxgAP8nY511EhFLizdvdUKJiSw8d6A9BborherQczRrZvZakpWxBlpw48KyZQ==
          call_session_id: 428c31b6-abf3-3bc1-b7f4-5013ef9657c1
        connection_id: 3fa85f64-9191-4567-b3fc-2c963f66afa6
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
          example: 3
        total_results:
          type: integer
          example: 55
        page_number:
          type: integer
          example: 2
        page_size:
          type: integer
          example: 25
    call-control_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/call-control_Error'
    call-control_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
          format: integer
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
              format: json-pointer
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````